--- bash-completion-20080617.4/bash_completion	2008-06-23 19:25:14.000000000 +0200
+++ /etc/bash_completion	2008-06-24 12:26:30.000000000 +0200
@@ -5720,7 +5770,7 @@
 	prev=${COMP_WORDS[COMP_CWORD-1]}
 
 	case "$prev" in
-		-@(ac|afm|vc|vfm|ao|vo|vop|fstype))
+		-@(ac|afm|vc|vfm|ao|vo|vop|fstype|demuxer|vf|af))
 			_mplayer_options_list mplayer $prev
 			return 0
 			;;
@@ -5729,7 +5779,7 @@
 			return 0
 			;;
 		-audiofile)
-			_filedir '@(mp3|MP3|mpg|MPG|ogg|OGG|wav|WAV|mid|MID|flac|FLAC|mka|MKA)'
+			_filedir '@(mp3|MP3|mpg|MPG|ogg|OGG|w?(a)v|W?(A)V|mid|MID|flac|FLAC|mka|MKA)'
 			return 0
 			;;
 		-font)
@@ -5794,7 +5844,7 @@
 			return 0
 			;;
 		-@(auto@(q|sync)|loop|menu-root|speed|sstep|aid|alang)| \
-		-@(?(@(audio|sub)-)demuxer|bandwidth|cache|chapter)| \
+		-@((@(audio|sub)-)demuxer|bandwidth|cache|chapter)| \
 		-@(dvd?(angle)|fps|frames|mc|passwd|user|sb|srate|ss|vcd)| \
 		-@(vi?(d|vo)|ffactor|sid|slang|spu@(align|aa|gauss))| \
 		-@(vobsubid|delay|bpp|brightness|contrast|dfbopts|display)| \
@@ -5948,6 +5998,11 @@
 			COMPREPLY=( $( compgen -W 'force= list=' -- $cur ) )
 			return 0
 			;;
+		-profile)
+			local profiles=$(sed -ne 's|\[\(.*\)\]|\1|p' ~/.mplayer/config)
+			COMPREPLY=( $( compgen -W "$profiles" -- $cur))
+			return 0
+			;;
 	esac
 
 	case "$cur" in
@@ -5978,7 +6033,7 @@
 					-spuaa -spugauss -pphelp -verbose -v \
 					-noni -noidx -nohr-mp3-seek -extbased \
 					-bps -oldpp -nozoom -noflip -nounicode \
-					-noutf8' -- $cur ) )
+					-noutf8 -profile -vf -af' -- $cur ) )
 			# add mplayer specific options
 			[[ "$cmd" == @(?(g)mplayer) ]] && COMPREPLY=( "${COMPREPLY[@]}" \
 				$(compgen -W '-autoq -autosync -benchmark \
@@ -6021,7 +6076,7 @@
 					-xvidencopts -of --verbose' -- $cur) )
 			;;
 		*)
-			_filedir '@(mp?(e)g|MP?(E)G|wm[av]|WM[AV]|avi|AVI|asf|ASF|vob|VOB|bin|BIN|dat|DAT|vcd|VCD|ps|PS|pes|PES|fl[iv]|FL[IV]|viv|VIV|rm?(j)|RM?(J)|ra?(m)|RA?(M)|yuv|YUV|mov|MOV|qt|QT|mp[34]|MP[34]|m4[av]|M4[AV]|og[gm]|OG[GM]|wav|WAV|dump|DUMP|mk[av]|MK[AV]|m4a|M4A|aac|AAC|m2v|M2V|dv|DV|rmvb|RMVB|mid|MID|ts|TS|3gp|mpc|MPC|flac|FLAC|vro|VRO|divx|DIVX|aif?(f)|AIF?(F)|m2ts|M2TS)'
+			_filedir '@(mp?(e)g|MP?(E)G|wm[av]|WM[AV]|avi|AVI|asf|ASF|vob|VOB|bin|BIN|dat|DAT|vcd|VCD|ps|PS|pes|PES|fl[iv]|FL[IV]|viv|VIV|rm?(j)|RM?(J)|ra?(m)|RA?(M)|yuv|YUV|mov|MOV|qt|QT|mp[34]|MP[34]|m4[av]|M4[AV]|og[gm]|OG[GM]|w?(a)v|W?(A)V|dump|DUMP|mk[av]|MK[AV]|m4a|M4A|aac|AAC|m2v|M2V|dv|DV|rmvb|RMVB|mid|MID|ts|TS|3gp|mpc|MPC|flac|FLAC|vro|VRO|divx|DIVX|aif?(f)|AIF?(F)|m2ts|M2TS)'
 			;;
 	esac
 
